#!/bin/sh
if test  -f "$2"; then
	old_version=$1
	while IFS='' read -r current_system_version;do
		if [ -z "$current_system_version" ]; then
			:
		else
			if [ $current_system_version -ge $old_version ]; then
    				echo "No need to update"
				exit 0
    			else
    				echo "Update needed"
				exit 1
    			fi
		fi
	done < "$2"
else
	echo "Update needed"
	exit 1
fi
